Bug 18350 - Moving call number in subscriptions tab in OPAC biblio detail
Summary: Moving call number in subscriptions tab in OPAC biblio detail
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-03-30 01:56 UTC by Aleisha Amohia
Modified: 2017-05-14 10:30 UTC (History)
3 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18350: Moving call number in subscriptions tab in OPAC biblio detail (2.54 KB, patch)
2017-03-30 02:04 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 18350: Moving call number in subscriptions tab in OPAC biblio detail (2.71 KB, patch)
2017-03-30 06:48 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 18350: Moving call number in subscriptions tab in OPAC biblio detail (2.76 KB, patch)
2017-05-02 10:26 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18350 (QA Followup) Add classes to elements (4.99 KB, patch)
2017-05-02 10:26 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2017-03-30 01:56:40 UTC
From Bug 10357 Comment 7:
We have:

- At Library: (Branch name missing, is fixed with Bug 18307)
- Public note
- Subscription details (date range)
- Email notification handling (Subscribe, Unsubscribe, Note if not logged in)
- Call number
- Info about x latest issues (table)

Can we move Call number up? 
(e.g. after "At library:", would be the same as in Staff client)
Comment 1 Aleisha Amohia 2017-03-30 02:04:38 UTC
Created attachment 61725 [details] [review]
Bug 18350: Moving call number in subscriptions tab in OPAC biblio detail

This patches moves the call number up to be under the library name, so
it is equivalent to the staff client

To test:
1) Go to the detail page of a biblio with subscriptions in the staff
client
2) Notice callnumber sits under the library name
3) Go to the detail page of the same biblio in OPAC
4) Notice callnumber is not in the same order
5) Apply patch, refresh page
6) Notice callnumber is now in same order

Sponsored-by: Catalyst IT
Comment 2 Marc Véron 2017-03-30 06:48:11 UTC
Created attachment 61728 [details] [review]
Bug 18350: Moving call number in subscriptions tab in OPAC biblio detail

This patches moves the call number up to be under the library name, so
it is equivalent to the staff client

To test:
1) Go to the detail page of a biblio with subscriptions in the staff
client
2) Notice callnumber sits under the library name
3) Go to the detail page of the same biblio in OPAC
4) Notice callnumber is not in the same order
5) Apply patch, refresh page
6) Notice callnumber is now in same order

Sponsored-by: Catalyst IT

Followed test plan, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>
Comment 3 Nick Clemens 2017-05-02 10:26:35 UTC
Created attachment 62947 [details] [review]
Bug 18350: Moving call number in subscriptions tab in OPAC biblio detail

This patches moves the call number up to be under the library name, so
it is equivalent to the staff client

To test:
1) Go to the detail page of a biblio with subscriptions in the staff
client
2) Notice callnumber sits under the library name
3) Go to the detail page of the same biblio in OPAC
4) Notice callnumber is not in the same order
5) Apply patch, refresh page
6) Notice callnumber is now in same order

Sponsored-by: Catalyst IT

Followed test plan, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Nick Clemens 2017-05-02 10:26:39 UTC
Created attachment 62948 [details] [review]
Bug 18350 (QA Followup) Add classes to elements

Provide classes for easy access in case library wishes to make further
chnages
Comment 5 Kyle M Hall 2017-05-12 15:00:50 UTC
Pushed to master for 17.05, thanks Aleisha, Nick!
Comment 6 Katrin Fischer 2017-05-14 10:30:09 UTC
This won't get ported back to 16.11.x as it is an enhancement.